Name:           libgii
Version:        1.0.2
Release:        1%{?dist}
Summary:        Input library for GGI

Group:          System Environment/Libraries
License:        LGPL
URL:            http://www.ggi-project.org/packages/libgii.html
Source0:        http://www.ggi-project.org/ftp/ggi/v2.2/libgii-%{version}.src.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  aalib-devel
BuildRequires:  pth-devel
%ifarch %{ix86} x86_64
BuildRequires:  svgalib-devel
%endif
BuildRequires:  xorg-x11-proto-devel
BuildRequires:  libXxf86dga-devel

%description
LibGII is based on the concept of input streams, which virtualize access
to the underlying input drivers. Events from various input devices are
abstracted into easy-to-use structures. LibGII also allows the application to
join streams together, receiving input from an arbitrary combination of
devices. LibGII is a separate component from LibGGI, although LibGGI
depends on LibGII for input purposes.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure \
  --disable-static \
  --enable-pcjoy \
  --enable-lk201 \
  --enable-kii
  
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
gmake %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc ChangeLog.1999 ChangeLog FAQ NEWS README
%dir %{_sysconfdir}/ggi
%config(noreplace) %{_sysconfdir}/ggi/*
%{_bindir}/*
%{_libdir}/*.so.*
%dir %{_libdir}/ggi
%{_libdir}/ggi/*
%{_mandir}/man?/*

%files devel
%defattr(-,root,root,-)
%doc
%dir %{_includedir}/ggi
%{_includedir}/ggi/*
%{_libdir}/*.so


%changelog
* Mon May  7 2007 kwizart < kwizart at gmail.com > - 1.0.2-1
- Intial spec file for Fedora 

* Wed Aug 22 2001 Thayne Harbaugh <thayne@plug.org>
- added missing man9 and TODO files

* Mon Jul 02 2001 Thayne Harbaugh <thayne@plug.org>
- initial libgii.spec
